<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetErrorMessage Method (IEdmVault11)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault11 Interface : GetErrorMessage Method (IEdmVault11)

Visual Basic
C#
C++/CLI

lHRESULT
  Error code for which to get a description

Gets a description for the specified error code.

# Syntax

Visual Basic |
--- | ---

    Function GetErrorMessage( _
       ByVal lHRESULT As System.Integer _
    ) As System.String

C# |
--- | ---

    System.string GetErrorMessage(
       System.int lHRESULT
    )

C++/CLI |
--- | ---

    System.String^ GetErrorMessage(
    &   System.int lHRESULT
    )

#### Parameters

lHRESULT
  Error code for which to get a description

#### Return Value

Description of the error code

# Example

Add Items (C#)
Add Items (VB.NET)
Add Users (C#)
Add Users (VB.NET)

# Remarks

This method returns a readable error message for HRESULT error codes. For example, if lHRESULT is 0x80040204, then this method returns "You have not logged in to the file vault."

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault11 Interface
IEdmVault11 Members
IEdmVault11::GetErrorName Method ()

# Availability

SOLIDWORKS PDM Professional 2010